Extending Qt Creator Manual | ProjectConfiguration

Extending Qt Creator Manual 4.4.0

# ProjectConfiguration Class

(ProjectExplorer::ProjectConfiguration)

Inherited By: | ProjectExplorer::BuildStep and ProjectExplorer::RunConfiguration

- List of all members, including inherited members

## Public Functions

| ~ProjectConfiguration() = default
QString | displayName() const
virtual bool | fromMap(const QVariantMap &map)
Core::Id | id() const
Utils::MacroExpander * | macroExpander()
const Utils::MacroExpander * | macroExpander() const
void | setDefaultDisplayName(const QString &name)
void | setDisplayName(const QString &name)
void | setToolTip(const QString &text)
virtual QVariantMap | toMap() const
QString | toolTip() const
bool | usesDefaultDisplayName() const

## Signals

void | displayNameChanged()
void | toolTipChanged()

## Protected Functions

| ProjectConfiguration(QObject *parent, Core::Id id)
| ProjectConfiguration(QObject *parent, const ProjectConfiguration *source)

## Member Function Documentation

### `[protected]` ProjectConfiguration::ProjectConfiguration(QObject *parent, Core::Id id)

Default constructs an instance of ProjectConfiguration.

### `[protected]` ProjectConfiguration::ProjectConfiguration(QObject *parent, const ProjectConfiguration *source)

Default constructs an instance of ProjectConfiguration.

### `[default]` ProjectConfiguration::~ProjectConfiguration()

Destroys the instance of ProjectConfiguration.

### QString ProjectConfiguration::displayName() const

See also setDisplayName().

### `[signal]` void ProjectConfiguration::displayNameChanged()

### `[virtual]` bool ProjectConfiguration::fromMap(const QVariantMap &map)

### Core::Id ProjectConfiguration::id() const

### Utils::MacroExpander *ProjectConfiguration::macroExpander()

### const Utils::MacroExpander *ProjectConfiguration::macroExpander() const

### void ProjectConfiguration::setDefaultDisplayName(const QString &name)

### void ProjectConfiguration::setDisplayName(const QString &name)

See also displayName().

### void ProjectConfiguration::setToolTip(const QString &text)

See also toolTip().

### `[virtual]` QVariantMap ProjectConfiguration::toMap() const

### QString ProjectConfiguration::toolTip() const

See also setToolTip().

### `[signal]` void ProjectConfiguration::toolTipChanged()

### bool ProjectConfiguration::usesDefaultDisplayName() const